Skip to main content
DELETE
/
v1
/
views
/
{view_id}
/
queries
/
{query_id}
TypeScript SDK
import { Client } from "@notionhq/client"

const notion = new Client({ auth: process.env.NOTION_API_KEY })

const response = await notion.views.queries.delete({
  view_id: "a3f1b2c4-5678-4def-abcd-1234567890ab",
  query_id: "b4e2c3d5-6789-4abc-def0-1234567890cd"
})
{
  "object": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deleted": true
}
Deletes a cached view query. This is idempotent — it returns success even if the query doesn’t exist or has already expired.
Integration capabilitiesThis endpoint requires an integration to have read content capabilities. For more information on integration capabilities, see the capabilities guide.

Errors

Returns a 400 or 429 HTTP response if the request exceeds the request limits.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The API version to use for this request. The latest version is 2026-03-11.

Available options:
2026-03-11

Path Parameters

view_id
string
required

The ID of the view.

query_id
string
required

The ID of the query.

Response

object
string
required

The object type.

Allowed value: "view_query"
id
string<uuid>
required

The ID of the deleted view query.

deleted
boolean
required

Whether the view query was deleted.